TE (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.tomcat.util.http.parser, class: TE

# Class TE

java.lang.Object
org.apache.tomcat.util.http.parser.TE

public class TE extends Object
Represents a Transfer-Encoding value with optional parameters and quality factor.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TE(String encoding, Map<String,String> parameters, double quality)`
  Constructs a new TE instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEncoding()`
  Returns the encoding name.
  `Map<String,String>`
  `getParameters()`
  Returns the parameters for this encoding.
  `double`
  `getQuality()`
  Returns the quality factor.
  `static List<TE>`
  `parse(StringReader input)`
  Parses a Transfer-Encoding header value into a list of TE instances.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TE

    protected TE(String encoding, Map<String,String> parameters, double quality)
    Constructs a new TE instance.
    Parameters:
      `encoding` - the encoding name
      `parameters` - the parameters
      `quality` - the quality factor

- ## Method Details

  - ### getEncoding

    public String getEncoding()
    Returns the encoding name.
    Returns:
      the encoding name

  - ### getParameters

    public Map<String,String> getParameters()
    Returns the parameters for this encoding.
    Returns:
      the parameters map

  - ### getQuality

    public double getQuality()
    Returns the quality factor.
    Returns:
      the quality factor

  - ### parse

    public static List<TE> parse(StringReader input) throws IOException
    Parses a Transfer-Encoding header value into a list of TE instances.
    Parameters:
      `input` - the input reader containing the header value
    Returns:
      the list of parsed TE values
    Throws:
      `IOException` - if a parsing error occurs